<EntityClassDefinition.KRIG_P72_Archimedes_Seat_Pilot __id="b149dd6b-207f-4e5b-8130-200a53133b91" __path="libs/foundry/records/entities/scitem/ships/seat/krig_p72_archimedes_seat_pilot.xml" __type="EntityClassDefinition" BBoxSelection="0" Category="Default" entityDensityClass="00000000-0000-0000-0000-000000000000" Icon="Default.bmp" Invisible="0">
  <Components>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="" Grade="1" inheritParentManufacturer="0" inventoryOccupancyDimensionsUIOverride="None" Manufacturer="7b5d1ed3-11e7-49e6-9ed3-9d0cb52a3dc2" RequiredTags="" Size="1" SubType="UNDEFINED" Tags="Archimedes" Type="Seat">
        <inventoryOccupancyDimensions __type="Vec3" x="0.15000000596046448" y="0.15000000596046448" z="0.15000000596046448" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SMicroCargoUnit" microSCU="1" />
        <Localization __type="SCItemLocalization" Description="@LOC_EMPTY" Name="@item_Name_TARG_Controller" ShortName="@LOC_EMPTY">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="KRIG_P52_Merlin_Seat" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SCItemSeatParams __type="DataForgeComponentParams" __polymorphicType="SCItemSeatParams" armorMoveViewRestrictions="00000000-0000-0000-0000-000000000000" availableOperatorModes="1bbe7903-5c68-4407-80fd-60fe9e6edf00" controlTemplate="" dashboardAnimationDatabase="" dashboardScopeContext="SeatDashboard" enterDefaultModeInteraction="None" enterQuantumModeInteraction="None" enterScanModeInteraction="None" fpHeadAdjustmentRecord="00000000-0000-0000-0000-000000000000" gforceHeadBobOverwriteRecord="00000000-0000-0000-0000-000000000000" headTrackingPositionLimitOverwriteRecord="00000000-0000-0000-0000-000000000000" lookAheadOverwriteRecord="00000000-0000-0000-0000-000000000000" maxPitch="65.0" maxYaw="70.0" minPitch="-65.0" minYaw="-70.0" seatFOV="70a3b7ac-a87b-474f-88bc-51acbb660c40" seatType="DUAL_STICK" setYawPitchLimits="0" transitionTemplate="" usableInteraction="None" useAnimationBasedTransition="1" userAnimationDatabase="Animations\Mannequin\ADB\SCItems\Ships\SCItemSeat\KRIG_P52_Merlin_Seat\KRIG_P52_Merlin_Seat_HumanAnims.adb" userScopeContext="SeatUser" useSyncedEnslavement="1" vehicleFragmentOverride="" vehicleScopeContext="">
      <actorAttachment __type="SCSeatActorAttachmentParams" boneName="pos_pilot_sit" stance="Seated" type="Seat" />
      <ejection __type="SCItemSeatEjectParams" ejectionLoopTime="4.0" maxAngularAcceleration="20.0" maxAngularVelocity="1400.0" maxLinearAcceleration="20.0" maxLinearVelocity="1400.0">
        <ejectionInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_eject" DisplayType="Show" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Ejection" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
          <QueryTags />
        </ejectionInteraction>
        <offsetAngles __type="Deg3" x="90.0" y="0.0" z="0.0" />
      </ejection>
      <QTViews />
      <views Default_Cockpit="5be5f08f-1c4a-4e52-bd67-04dbc1664b5d" KRIG_P52_Merlin_ThirdPersonFlight="79a37d27-2fe4-4bd9-8437-9859a0b274ab" Global_OrbitEnterExit_Left="48a657fb-4871-418b-9c41-eb10a185ee5a" />
    </SCItemSeatParams>
    <SEntityInteractableParams __type="DataForgeComponentParams" __polymorphicType="SEntityInteractableParams">
      <Interactable __type="SInteractableParams" menuTitle="None">
        <actionHandlerTasks />
        <InteractionPoints>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Ejection" longRangeIP="0" MaxCursorScreenDistance="2.0" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors>
              <SHighlightBehaviorNode __type="SHighlightBehaviorNode">
                <HighlightBehaviorNodeParams __type="SHighlightBehaviorNodeParams" __polymorphicType="SBonesHighlightNode">
                  <boneNames>KRIG_P52_Merlin_Seat_Pilot_Ejection_Handle</boneNames>
                </HighlightBehaviorNodeParams>
                <nextNodes />
              </SHighlightBehaviorNode>
            </HighlightBehaviors>
            <Interactions>
              <SInteractionParams __type="SInteractionParams" DisplayName="@LOC_EMPTY" IsPrimary="0">
                <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_eject" DisplayType="Show" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Ejection" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
                  <QueryTags />
                </Interaction>
              </SInteractionParams>
            </Interactions>
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SInteractionPointParams>
        </InteractionPoints>
        <interactionTasks />
        <itemActionTasks />
        <SharedInteractions>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_eject" DisplayType="Show" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Ejection" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
        </SharedInteractions>
      </Interactable>
    </SEntityInteractableParams>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="1">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="Objects/Spaceships/Ships/KRIG/P52_Merlin/KRIG_P72_Archimedes_Seat_Pilot.cga" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityRigidPhysicsControllerParams" BlocksNavigation="1" breakableParams="None" buoyancyParams="None" Damping="0.009999999776482582" DampingFreefall="0.05000000074505806" EnableCrossGridChecks="0" gameCollisionClass="None" grid="None" Kinematic="0" Mass="10.0" maxLoggedCollisions="1" NeverAffectTriggers="0" physicalizeAllSlots="1" PushableByPlayers="1" Resting="0" UseManualGridTransition="0">
        <temperature __type="EntityTemperature" enable="0" initialTemperature="-1.0" internalTemperatureGeneration="0.0" />
      </PhysType>
    </SEntityPhysicsControllerParams>
    <SAnimationControllerParams __type="DataForgeComponentParams" __polymorphicType="SAnimationControllerParams" AnimationController="SCItems\Ships\SCItemSeat\SCItemSeatControllerDefs.xml" AnimationDatabase="SCItems\Ships\SCItemSeat\KRIG_P52_Merlin_Seat\KRIG_P52_Merlin_Seat_Anims.adb" AnimationJointControls="None" defaultAnimation="None">
      <AnimationControlActorIKs />
      <AnimationTasks />
      <ScopeContexts />
      <Tags />
    </SAnimationControllerParams>
    <SEntityComponentSequencerParams __type="DataForgeComponentParams" __polymorphicType="SEntityComponentSequencerParams" resetSequence="None">
      <sequences />
    </SEntityComponentSequencerParams>
    <SSCItemTargetSelectorComponentParams __type="DataForgeComponentParams" __polymorphicType="SSCItemTargetSelectorComponentParams" autoSelectionTimer="0.5" beginSubTargetingInteraction="None" cycleAllTargetsInteraction="None" cycleFriendlyTargetInteraction="None" cycleHostileTargetInteraction="None" cyclePinnedTargetInteraction="None" cycleSubTargetInteraction="None" endSubTargetingInteraction="None" globalTargetingParams="c7fbc0d8-16dc-4181-9e71-dede73aa84b5" innerAngle="5.0" maxPinnedTargets="3" outerAngle="45.0" pinTargetInteraction="None" targetableItemTypesRecord="e4e957c1-cb94-4e4f-b937-0703f4efa200" unpinTargetInteraction="None">
      <arMarkersParams __type="SARMarkersParams" lockedRatioClose="19.799999237060547" />
      <arTrailParams __type="SARTrailParams" maxFadeDistance="50.0" minFadeDistance="30.0" quatDistance="10.0" quatLifetime="7.0" startDistance="0.0" />
    </SSCItemTargetSelectorComponentParams>
    <SCItemShipComputerParams __type="DataForgeComponentParams" __polymorphicType="SCItemShipComputerParams" definition="65b16fcd-4161-4d6b-bee3-1b11675059d3" />
    <SCRTTCameraParams __type="DataForgeComponentParams" __polymorphicType="SCRTTCameraParams" defaultCamDistance="0.4000000059604645" onFootCameraView="00000000-0000-0000-0000-000000000000" vehicleCameraView="7dc171b6-f78d-4c49-a87e-efff470d349f" />
    <SActorUsableParams __type="DataForgeComponentParams" __polymorphicType="SActorUsableParams" archetype="5c06e726-90c3-47d8-a5e5-7293f3c7e6b5" fragmentTag="" isExterior="0">
      <abilityLocks />
      <alignmentSlots>
        <OperatorSeatAlignmentSlot __type="AlignmentSlotBase" __polymorphicType="OperatorSeatAlignmentSlot" available="1" canPlayerUse="1" fragmentTag="" name="" slottedFragmentTag="">
          <interactionPoints />
          <optionalGameTags />
        </OperatorSeatAlignmentSlot>
      </alignmentSlots>
      <slottingSetups />
      <specializedData __type="SSpecializedData">
        <specializedDataEntry />
      </specializedData>
      <usableSequencerTasks />
      <useSlots>
        <UsableUseSlot __type="UsableUseSlot" additionalFragmentTags="" available="1" isScoochable="0" name="" stance="Unset">
          <optionalGameTags />
          <relativeTransform __type="QuatT">
            <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
            <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
          </relativeTransform>
          <usableItemPorts />
          <useChannelInstances>
            <UsableUseChannelInstance __type="UsableUseChannelInstance" conditionList="None" fragmentTag="" interaction="None" isEnabled="1" preparationSequence="None" stance="Unset" useChannelArchetype="7ed6ccb6-0466-4817-8eaa-e054046e3ec9">
              <alignmentSlots OperatorSeatAlignmentSlot="weakPointer:OperatorSeatAlignmentSlot" />
              <tagsToAddOnEnter />
              <tagsToAddOnExit />
              <tagsToRemoveOnEnter />
              <tagsToRemoveOnExit />
              <useChannelInstancesToDisable />
              <useChannelInstancesToEnable />
            </UsableUseChannelInstance>
          </useChannelInstances>
        </UsableUseSlot>
      </useSlots>
      <views />
    </SActorUsableParams>
    <ItemControlComponentParams __type="DataForgeComponentParams" __polymorphicType="ItemControlComponentParams" throttleParams="None" turnedOnByDefault="0" />
    <ItemControllerComponentParams __type="DataForgeComponentParams" __polymorphicType="ItemControllerComponentParams" operatorModeDefinitionsOverride="00000000-0000-0000-0000-000000000000" />
    <SDialogueComponentParams __type="DataForgeComponentParams" __polymorphicType="SDialogueComponentParams" />
    <SAudioProxyParams __type="DataForgeComponentParams" __polymorphicType="SAudioProxyParams" />
  </Components>
  <StaticEntityClassData />
  <tags d0d29c20-f5e2-46f7-9d53-cc90f6ac63f2="d0d29c20-f5e2-46f7-9d53-cc90f6ac63f2" 275db83d-5b41-4ebc-bcd7-d325220af86a="275db83d-5b41-4ebc-bcd7-d325220af86a" />
</EntityClassDefinition.KRIG_P72_Archimedes_Seat_Pilot>